/**
 * Test case for define.
 * Runs with mocha.
 */
"use strict";

const define = require('../lib/define.js'),
    assert = require('assert');

describe('define', () => {

    function noop() {
    }

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });

    it('Define', (done) => {
        let task = define({});
        assert.ok(task);
        let context = {
            verbose: false,
            logger: {
                info: noop,
                debug: noop,
                trace: noop
            }
        };
        task(context, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

